################################################################################
#
#   Constraints for WR Switch V4 (HWv1)
#
################################################################################
#
#   Copyright CERN 2020.
#
#   This source describes Open Hardware and is licensed under the CERN-OHLW v2
#   or later
#
#   You may redistribute and modify this documentation and make products
#   using it under the terms of the CERN-OHL-W v2 (https:/cern.ch/cern-ohl).
#   This documentation is distributed WITHOUT ANY EXPRESS OR IMPLIED
#   WARRANTY, INCLUDING OF MERCHANTABILITY, SATISFACTORY QUALITY
#   AND FITNESS FOR A PARTICULAR PURPOSE. Please see the CERN-OHL-W v2
#   for applicable conditions.
#
#   Source location: https://ohwr.org/project/wr-switch-hw-v4
#
#   As per CERN-OHL-W v2 section 4.1, should You produce hardware based on
#   these sources, You must maintain the Source Location visible on the
#   external case of the White Rabbit switch or other product you make using
#   this documentation.
#
################################################################################

# SFP+ 1.8V Monitoring and Control
set_property PACKAGE_PIN AR22 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_RT_SFP_TX_FAULT}]
set_property PACKAGE_PIN AK20 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_RT_SFP_TX_DISABLE}]
set_property PACKAGE_PIN AP22 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_RT_SFP_DETECT}]
set_property PACKAGE_PIN AP19 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_RCT_SFP_TX_FAULT}]
set_property PACKAGE_PIN AL22 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_RCT_SFP_TX_DISABLE}]
set_property PACKAGE_PIN AR20 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_RCT_SFP_DETECT}]
set_property PACKAGE_PIN AM19 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_RCB_SFP_TX_FAULT}]
set_property PACKAGE_PIN AJ21 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_RCB_SFP_TX_DISABLE}]
set_property PACKAGE_PIN AP21 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_RCB_SFP_DETECT}]
set_property PACKAGE_PIN AM21 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_RB_SFP_TX_FAULT}]
set_property PACKAGE_PIN AJ22 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_RB_SFP_TX_DISABLE}]
set_property PACKAGE_PIN AP20 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_RB_SFP_DETECT}]
set_property PACKAGE_PIN AL20 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_LT_SFP_TX_FAULT}]
set_property PACKAGE_PIN AK19 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_LT_SFP_TX_DISABLE}]
set_property PACKAGE_PIN AT20 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_LT_SFP_DETECT}]
set_property PACKAGE_PIN AR19 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_LCT_SFP_TX_FAULT}]
set_property PACKAGE_PIN AL21 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_LCT_SFP_TX_DISABLE}]
set_property PACKAGE_PIN AU19 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_LCT_SFP_DETECT}]
set_property PACKAGE_PIN AN19 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_LCB_SFP_TX_FAULT}]
set_property PACKAGE_PIN AJ20 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_LCB_SFP_TX_DISABLE}]
set_property PACKAGE_PIN AN22 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_LCB_SFP_DETECT}]
set_property PACKAGE_PIN AM20 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_LB_SFP_TX_FAULT}]
set_property PACKAGE_PIN AK22 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_LB_SFP_TX_DISABLE}]
set_property PACKAGE_PIN AN21 [get_ports {SFPPLUS_4x2_P1V8_CTRL_2_PL_LB_SFP_DETECT}]
set_property PACKAGE_PIN AP26 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_RT_SFP_TX_FAULT}]
set_property PACKAGE_PIN AM23 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_RT_SFP_TX_DISABLE}]
set_property PACKAGE_PIN AN26 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_RT_SFP_DETECT}]
set_property PACKAGE_PIN AR28 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_RCT_SFP_TX_FAULT}]
set_property PACKAGE_PIN AM24 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_RCT_SFP_TX_DISABLE}]
set_property PACKAGE_PIN AN28 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_RCT_SFP_DETECT}]
set_property PACKAGE_PIN AR23 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_RCB_SFP_TX_FAULT}]
set_property PACKAGE_PIN AK23 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_RCB_SFP_TX_DISABLE}]
set_property PACKAGE_PIN AP27 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_RCB_SFP_DETECT}]
set_property PACKAGE_PIN AP24 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_RB_SFP_TX_FAULT}]
set_property PACKAGE_PIN AJ24 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_RB_SFP_TX_DISABLE}]
set_property PACKAGE_PIN AM28 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_RB_SFP_DETECT}]
set_property PACKAGE_PIN AM25 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_LT_SFP_TX_FAULT}]
set_property PACKAGE_PIN AN23 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_LT_SFP_TX_DISABLE}]
set_property PACKAGE_PIN AR24 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_LT_SFP_DETECT}]
set_property PACKAGE_PIN AT28 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_LCT_SFP_TX_FAULT}]
set_property PACKAGE_PIN AN24 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_LCT_SFP_TX_DISABLE}]
set_property PACKAGE_PIN AR25 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_LCT_SFP_DETECT}]
set_property PACKAGE_PIN AT23 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_LCB_SFP_TX_FAULT}]
set_property PACKAGE_PIN AL23 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_LCB_SFP_TX_DISABLE}]
set_property PACKAGE_PIN AM26 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_LCB_SFP_DETECT}]
set_property PACKAGE_PIN AP25 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_LB_SFP_TX_FAULT}]
set_property PACKAGE_PIN AK24 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_LB_SFP_TX_DISABLE}]
set_property PACKAGE_PIN AN27 [get_ports {SFPPLUS_4x2_P1V8_CTRL_1_PL_LB_SFP_DETECT}]
set_property PACKAGE_PIN C23  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_RT_SFP_TX_FAULT}]
set_property PACKAGE_PIN C21  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_RT_SFP_TX_DISABLE}]
set_property PACKAGE_PIN E19  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_RT_SFP_DETECT}]
set_property PACKAGE_PIN E22  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_RCT_SFP_TX_FAULT}]
set_property PACKAGE_PIN A20  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_RCT_SFP_TX_DISABLE}]
set_property PACKAGE_PIN D21  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_RCT_SFP_DETECT}]
set_property PACKAGE_PIN D19  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_RCB_SFP_TX_FAULT}]
set_property PACKAGE_PIN B22  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_RCB_SFP_TX_DISABLE}]
set_property PACKAGE_PIN E20  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_RCB_SFP_DETECT}]
set_property PACKAGE_PIN C20  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_RB_SFP_TX_FAULT}]
set_property PACKAGE_PIN B23  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_RB_SFP_TX_DISABLE}]
set_property PACKAGE_PIN E21  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_RB_SFP_DETECT}]
set_property PACKAGE_PIN D23  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_LT_SFP_TX_FAULT}]
set_property PACKAGE_PIN B21  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_LT_SFP_TX_DISABLE}]
set_property PACKAGE_PIN F23  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_LT_SFP_DETECT}]
set_property PACKAGE_PIN D22  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_LCT_SFP_TX_FAULT}]
set_property PACKAGE_PIN A19  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_LCT_SFP_TX_DISABLE}]
set_property PACKAGE_PIN F22  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_LCT_SFP_DETECT}]
set_property PACKAGE_PIN C19  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_LCB_SFP_TX_FAULT}]
set_property PACKAGE_PIN A22  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_LCB_SFP_TX_DISABLE}]
set_property PACKAGE_PIN F19  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_LCB_SFP_DETECT}]
set_property PACKAGE_PIN B20  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_LB_SFP_TX_FAULT}]
set_property PACKAGE_PIN A23  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_LB_SFP_TX_DISABLE}]
set_property PACKAGE_PIN F20  [get_ports {SFPPLUS_4x2_P1V8_CTRL_0_PL_LB_SFP_DETECT}]

# FMC Power Control and Status
set_property PACKAGE_PIN E27 [get_ports {PWR_CTRL_FMC_PWR_EN}]
set_property PACKAGE_PIN F27 [get_ports {PWR_CTRL_FMC_PG}]

# PPS Input Termination Control
set_property PACKAGE_PIN B27 [get_ports {PPS_CTRL_TERM_EN}]

# PPS and AUX Outputs
set_property PACKAGE_PIN A27 [get_ports {PPS_CTRL_PPS_OUT}]
set_property PACKAGE_PIN A28 [get_ports {PPS_CTRL_AUX_OUT}]

# LMX-PLL 1.8V Control
set_property PACKAGE_PIN D24 [get_ports {PLL_GM_P1V8_CTRL_PLL_GM_SYNC}]
set_property PACKAGE_PIN B28 [get_ports {PLL_GM_P1V8_CTRL_PLL_GM_SDI}]
set_property PACKAGE_PIN D26 [get_ports {PLL_GM_P1V8_CTRL_PLL_GM_SCK}]
set_property PACKAGE_PIN C28 [get_ports {PLL_GM_P1V8_CTRL_PLL_GM_CSB}]

# General purpose buttons
set_property PACKAGE_PIN N26 [get_ports {PB10}]
set_property PACKAGE_PIN N24 [get_ports {PB09}]

# HMC7044 PLL Oscillator Output Clock
set_property PACKAGE_PIN H26 [get_ports {PLL_OSCOUT1_CLK_N}]
set_property PACKAGE_PIN H25 [get_ports {PLL_OSCOUT1_CLK_P}]

# REF Clock output from HMC7044
set_property PACKAGE_PIN D32 [get_ports {REF_CLK_N}]
set_property PACKAGE_PIN E32 [get_ports {REF_CLK_P}]

# WR Clock output from HMC7044
set_property PACKAGE_PIN B33 [get_ports {WR_CLK_N}]
set_property PACKAGE_PIN B32 [get_ports {WR_CLK_P}]

# LMX-PLL GM Clock
set_property PACKAGE_PIN G26 [get_ports {LMX_GM_CLK_CLK_P}]
set_property PACKAGE_PIN G27 [get_ports {LMX_GM_CLK_CLK_N}]

# SFP+ Status LEDs
set_property PACKAGE_PIN AW21 [get_ports {LED_SFP_4x2_CTRL_2_RT_SFP_LED_SYNCED}]
set_property PACKAGE_PIN BA18 [get_ports {LED_SFP_4x2_CTRL_2_RT_SFP_LED_MODE}]
set_property PACKAGE_PIN BB18 [get_ports {LED_SFP_4x2_CTRL_2_RT_SFP_LED_LINK}]
set_property PACKAGE_PIN AN16 [get_ports {LED_SFP_4x2_CTRL_2_RT_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN AV21 [get_ports {LED_SFP_4x2_CTRL_2_RCT_SFP_LED_SYNCED}]
set_property PACKAGE_PIN AY19 [get_ports {LED_SFP_4x2_CTRL_2_RCT_SFP_LED_MODE}]
set_property PACKAGE_PIN AM16 [get_ports {LED_SFP_4x2_CTRL_2_RCT_SFP_LED_LINK}]
set_property PACKAGE_PIN AJ17 [get_ports {LED_SFP_4x2_CTRL_2_RCT_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN AW22 [get_ports {LED_SFP_4x2_CTRL_2_RCB_SFP_LED_SYNCED}]
set_property PACKAGE_PIN AU23 [get_ports {LED_SFP_4x2_CTRL_2_RCB_SFP_LED_MODE}]
set_property PACKAGE_PIN AP17 [get_ports {LED_SFP_4x2_CTRL_2_RCB_SFP_LED_LINK}]
set_property PACKAGE_PIN AL17 [get_ports {LED_SFP_4x2_CTRL_2_RCB_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN AV19 [get_ports {LED_SFP_4x2_CTRL_2_RB_SFP_LED_SYNCED}]
set_property PACKAGE_PIN AU21 [get_ports {LED_SFP_4x2_CTRL_2_RB_SFP_LED_MODE}]
set_property PACKAGE_PIN AL18 [get_ports {LED_SFP_4x2_CTRL_2_RB_SFP_LED_LINK}]
set_property PACKAGE_PIN AM18 [get_ports {LED_SFP_4x2_CTRL_2_RB_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN AT21 [get_ports {LED_SFP_4x2_CTRL_2_LT_SFP_LED_SYNCED}]
set_property PACKAGE_PIN AU20 [get_ports {LED_SFP_4x2_CTRL_2_LT_SFP_LED_MODE}]
set_property PACKAGE_PIN AP16 [get_ports {LED_SFP_4x2_CTRL_2_LT_SFP_LED_LINK}]
set_property PACKAGE_PIN AL16 [get_ports {LED_SFP_4x2_CTRL_2_LT_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN AV23 [get_ports {LED_SFP_4x2_CTRL_2_LCT_SFP_LED_SYNCED}]
set_property PACKAGE_PIN BB21 [get_ports {LED_SFP_4x2_CTRL_2_LCT_SFP_LED_MODE}]
set_property PACKAGE_PIN AK17 [get_ports {LED_SFP_4x2_CTRL_2_LCT_SFP_LED_LINK}]
set_property PACKAGE_PIN AN18 [get_ports {LED_SFP_4x2_CTRL_2_LCT_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN AW19 [get_ports {LED_SFP_4x2_CTRL_2_LCB_SFP_LED_SYNCED}]
set_property PACKAGE_PIN AV22 [get_ports {LED_SFP_4x2_CTRL_2_LCB_SFP_LED_MODE}]
set_property PACKAGE_PIN AN17 [get_ports {LED_SFP_4x2_CTRL_2_LCB_SFP_LED_LINK}]
set_property PACKAGE_PIN AT16 [get_ports {LED_SFP_4x2_CTRL_2_LCB_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN AY18 [get_ports {LED_SFP_4x2_CTRL_2_LB_SFP_LED_SYNCED}]
set_property PACKAGE_PIN AW20 [get_ports {LED_SFP_4x2_CTRL_2_LB_SFP_LED_MODE}]
set_property PACKAGE_PIN AJ18 [get_ports {LED_SFP_4x2_CTRL_2_LB_SFP_LED_LINK}]
set_property PACKAGE_PIN AK18 [get_ports {LED_SFP_4x2_CTRL_2_LB_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN AW25 [get_ports {LED_SFP_4x2_CTRL_1_RT_SFP_LED_SYNCED}]
set_property PACKAGE_PIN BA28 [get_ports {LED_SFP_4x2_CTRL_1_RT_SFP_LED_MODE}]
set_property PACKAGE_PIN AU16 [get_ports {LED_SFP_4x2_CTRL_1_RT_SFP_LED_LINK}]
set_property PACKAGE_PIN AR17 [get_ports {LED_SFP_4x2_CTRL_1_RT_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN AU26 [get_ports {LED_SFP_4x2_CTRL_1_RCT_SFP_LED_SYNCED}]
set_property PACKAGE_PIN AU28 [get_ports {LED_SFP_4x2_CTRL_1_RCT_SFP_LED_MODE}]
set_property PACKAGE_PIN AT18 [get_ports {LED_SFP_4x2_CTRL_1_RCT_SFP_LED_LINK}]
set_property PACKAGE_PIN AU18 [get_ports {LED_SFP_4x2_CTRL_1_RCT_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN AW26 [get_ports {LED_SFP_4x2_CTRL_1_RCB_SFP_LED_SYNCED}]
set_property PACKAGE_PIN AU24 [get_ports {LED_SFP_4x2_CTRL_1_RCB_SFP_LED_MODE}]
set_property PACKAGE_PIN BB10 [get_ports {LED_SFP_4x2_CTRL_1_RCB_SFP_LED_LINK}]
set_property PACKAGE_PIN BA11 [get_ports {LED_SFP_4x2_CTRL_1_RCB_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN AT26 [get_ports {LED_SFP_4x2_CTRL_1_RB_SFP_LED_SYNCED}]
set_property PACKAGE_PIN AU25 [get_ports {LED_SFP_4x2_CTRL_1_RB_SFP_LED_MODE}]
set_property PACKAGE_PIN AV17 [get_ports {LED_SFP_4x2_CTRL_1_RB_SFP_LED_LINK}]
set_property PACKAGE_PIN AU13 [get_ports {LED_SFP_4x2_CTRL_1_RB_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN AT27 [get_ports {LED_SFP_4x2_CTRL_1_LT_SFP_LED_SYNCED}]
set_property PACKAGE_PIN AT25 [get_ports {LED_SFP_4x2_CTRL_1_LT_SFP_LED_MODE}]
set_property PACKAGE_PIN AT17 [get_ports {LED_SFP_4x2_CTRL_1_LT_SFP_LED_LINK}]
set_property PACKAGE_PIN AR18 [get_ports {LED_SFP_4x2_CTRL_1_LT_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN AV24 [get_ports {LED_SFP_4x2_CTRL_1_LCT_SFP_LED_SYNCED}]
set_property PACKAGE_PIN BA27 [get_ports {LED_SFP_4x2_CTRL_1_LCT_SFP_LED_MODE}]
set_property PACKAGE_PIN AV18 [get_ports {LED_SFP_4x2_CTRL_1_LCT_SFP_LED_LINK}]
set_property PACKAGE_PIN AT15 [get_ports {LED_SFP_4x2_CTRL_1_LCT_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN AW27 [get_ports {LED_SFP_4x2_CTRL_1_LCB_SFP_LED_SYNCED}]
set_property PACKAGE_PIN AV26 [get_ports {LED_SFP_4x2_CTRL_1_LCB_SFP_LED_MODE}]
set_property PACKAGE_PIN AU15 [get_ports {LED_SFP_4x2_CTRL_1_LCB_SFP_LED_LINK}]
set_property PACKAGE_PIN BB11 [get_ports {LED_SFP_4x2_CTRL_1_LCB_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN AV28 [get_ports {LED_SFP_4x2_CTRL_1_LB_SFP_LED_SYNCED}]
set_property PACKAGE_PIN AV27 [get_ports {LED_SFP_4x2_CTRL_1_LB_SFP_LED_MODE}]
set_property PACKAGE_PIN AV13 [get_ports {LED_SFP_4x2_CTRL_1_LB_SFP_LED_LINK}]
set_property PACKAGE_PIN BA10 [get_ports {LED_SFP_4x2_CTRL_1_LB_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN N20  [get_ports {LED_SFP_4x2_CTRL_0_RT_SFP_LED_SYNCED}]
set_property PACKAGE_PIN N19  [get_ports {LED_SFP_4x2_CTRL_0_RT_SFP_LED_MODE}]
set_property PACKAGE_PIN AY12 [get_ports {LED_SFP_4x2_CTRL_0_RT_SFP_LED_LINK}]
set_property PACKAGE_PIN BA12 [get_ports {LED_SFP_4x2_CTRL_0_RT_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN L20  [get_ports {LED_SFP_4x2_CTRL_0_RCT_SFP_LED_SYNCED}]
set_property PACKAGE_PIN K20  [get_ports {LED_SFP_4x2_CTRL_0_RCT_SFP_LED_MODE}]
set_property PACKAGE_PIN BA13 [get_ports {LED_SFP_4x2_CTRL_0_RCT_SFP_LED_LINK}]
set_property PACKAGE_PIN BB13 [get_ports {LED_SFP_4x2_CTRL_0_RCT_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN M22  [get_ports {LED_SFP_4x2_CTRL_0_RCB_SFP_LED_SYNCED}]
set_property PACKAGE_PIN M21  [get_ports {LED_SFP_4x2_CTRL_0_RCB_SFP_LED_MODE}]
set_property PACKAGE_PIN BB16 [get_ports {LED_SFP_4x2_CTRL_0_RCB_SFP_LED_LINK}]
set_property PACKAGE_PIN AY17 [get_ports {LED_SFP_4x2_CTRL_0_RCB_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN K21  [get_ports {LED_SFP_4x2_CTRL_0_RB_SFP_LED_SYNCED}]
set_property PACKAGE_PIN J21  [get_ports {LED_SFP_4x2_CTRL_0_RB_SFP_LED_MODE}]
set_property PACKAGE_PIN BB15 [get_ports {LED_SFP_4x2_CTRL_0_RB_SFP_LED_LINK}]
set_property PACKAGE_PIN AW17 [get_ports {LED_SFP_4x2_CTRL_0_RB_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN K22  [get_ports {LED_SFP_4x2_CTRL_0_LT_SFP_LED_SYNCED}]
set_property PACKAGE_PIN J22  [get_ports {LED_SFP_4x2_CTRL_0_LT_SFP_LED_MODE}]
set_property PACKAGE_PIN AY13 [get_ports {LED_SFP_4x2_CTRL_0_LT_SFP_LED_LINK}]
set_property PACKAGE_PIN BB14 [get_ports {LED_SFP_4x2_CTRL_0_LT_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN P21  [get_ports {LED_SFP_4x2_CTRL_0_LCT_SFP_LED_SYNCED}]
set_property PACKAGE_PIN N21  [get_ports {LED_SFP_4x2_CTRL_0_LCT_SFP_LED_MODE}]
set_property PACKAGE_PIN AY15 [get_ports {LED_SFP_4x2_CTRL_0_LCT_SFP_LED_LINK}]
set_property PACKAGE_PIN AY14 [get_ports {LED_SFP_4x2_CTRL_0_LCT_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN P22  [get_ports {LED_SFP_4x2_CTRL_0_LCB_SFP_LED_SYNCED}]
set_property PACKAGE_PIN L22  [get_ports {LED_SFP_4x2_CTRL_0_LCB_SFP_LED_MODE}]
set_property PACKAGE_PIN BA15 [get_ports {LED_SFP_4x2_CTRL_0_LCB_SFP_LED_LINK}]
set_property PACKAGE_PIN BA17 [get_ports {LED_SFP_4x2_CTRL_0_LCB_SFP_LED_ACTIVITY}]
set_property PACKAGE_PIN K19  [get_ports {LED_SFP_4x2_CTRL_0_LB_SFP_LED_SYNCED}]
set_property PACKAGE_PIN J19  [get_ports {LED_SFP_4x2_CTRL_0_LB_SFP_LED_MODE}]
set_property PACKAGE_PIN AW16 [get_ports {LED_SFP_4x2_CTRL_0_LB_SFP_LED_LINK}]
set_property PACKAGE_PIN BA16 [get_ports {LED_SFP_4x2_CTRL_0_LB_SFP_LED_ACTIVITY}]

# LCD Backup Buttons
set_property PACKAGE_PIN F31 [get_ports {LCD_BButton_2}]
set_property PACKAGE_PIN E29 [get_ports {LCD_BButton_1}]

# FMC LA pins
set_property PACKAGE_PIN B18  [get_ports {LA33_P}]
set_property PACKAGE_PIN A18  [get_ports {LA33_N}]
set_property PACKAGE_PIN D18  [get_ports {LA32_P}]
set_property PACKAGE_PIN C18  [get_ports {LA32_N}]
set_property PACKAGE_PIN B17  [get_ports {LA31_P}]
set_property PACKAGE_PIN A17  [get_ports {LA31_N}]
set_property PACKAGE_PIN E17  [get_ports {LA30_P}]
set_property PACKAGE_PIN D17  [get_ports {LA30_N}]
set_property PACKAGE_PIN C16  [get_ports {LA29_P}]
set_property PACKAGE_PIN B16  [get_ports {LA29_N}]
set_property PACKAGE_PIN E16  [get_ports {LA28_P}]
set_property PACKAGE_PIN D16  [get_ports {LA28_N}]
set_property PACKAGE_PIN J18  [get_ports {LA27_P}]
set_property PACKAGE_PIN H18  [get_ports {LA27_N}]
set_property PACKAGE_PIN J16  [get_ports {LA26_P}]
set_property PACKAGE_PIN H16  [get_ports {LA26_N}]
set_property PACKAGE_PIN H15  [get_ports {LA25_P}]
set_property PACKAGE_PIN G15  [get_ports {LA25_N}]
set_property PACKAGE_PIN L17  [get_ports {LA24_P}]
set_property PACKAGE_PIN K17  [get_ports {LA24_N}]
set_property PACKAGE_PIN K16  [get_ports {LA23_P}]
set_property PACKAGE_PIN K15  [get_ports {LA23_N}]
set_property PACKAGE_PIN M15  [get_ports {LA22_P}]
set_property PACKAGE_PIN L15  [get_ports {LA22_N}]
set_property PACKAGE_PIN M17  [get_ports {LA21_P}]
set_property PACKAGE_PIN M16  [get_ports {LA21_N}]
set_property PACKAGE_PIN P16  [get_ports {LA20_P}]
set_property PACKAGE_PIN N16  [get_ports {LA20_N}]
set_property PACKAGE_PIN P15  [get_ports {LA19_P}]
set_property PACKAGE_PIN N15  [get_ports {LA19_N}]
set_property PACKAGE_PIN E15  [get_ports {LA18_CC_P}]
set_property PACKAGE_PIN D14  [get_ports {LA18_CC_N}]
set_property PACKAGE_PIN G16  [get_ports {LA17_CC_P}]
set_property PACKAGE_PIN F15  [get_ports {LA17_CC_N}]
set_property PACKAGE_PIN AJ14 [get_ports {LA16_P}]
set_property PACKAGE_PIN AK14 [get_ports {LA16_N}]
set_property PACKAGE_PIN AM13 [get_ports {LA15_P}]
set_property PACKAGE_PIN AN13 [get_ports {LA15_N}]
set_property PACKAGE_PIN AN14 [get_ports {LA14_P}]
set_property PACKAGE_PIN AP14 [get_ports {LA14_N}]
set_property PACKAGE_PIN AL14 [get_ports {LA13_P}]
set_property PACKAGE_PIN AM14 [get_ports {LA13_N}]
set_property PACKAGE_PIN AJ15 [get_ports {LA12_P}]
set_property PACKAGE_PIN AK15 [get_ports {LA12_N}]
set_property PACKAGE_PIN AL15 [get_ports {LA11_P}]
set_property PACKAGE_PIN AM15 [get_ports {LA11_N}]
set_property PACKAGE_PIN AW11 [get_ports {LA10_P}]
set_property PACKAGE_PIN AW10 [get_ports {LA10_N}]
set_property PACKAGE_PIN AU11 [get_ports {LA09_P}]
set_property PACKAGE_PIN AV11 [get_ports {LA09_N}]
set_property PACKAGE_PIN AV12 [get_ports {LA08_P}]
set_property PACKAGE_PIN AW12 [get_ports {LA08_N}]
set_property PACKAGE_PIN BB5  [get_ports {LA07_P}]
set_property PACKAGE_PIN BB4  [get_ports {LA07_N}]
set_property PACKAGE_PIN BA6  [get_ports {LA06_P}]
set_property PACKAGE_PIN BB6  [get_ports {LA06_N}]
set_property PACKAGE_PIN BA8  [get_ports {LA05_P}]
set_property PACKAGE_PIN BA7  [get_ports {LA05_N}]
set_property PACKAGE_PIN AW8  [get_ports {LA04_P}]
set_property PACKAGE_PIN AY8  [get_ports {LA04_N}]
set_property PACKAGE_PIN BB9  [get_ports {LA03_P}]
set_property PACKAGE_PIN BB8  [get_ports {LA03_N}]
set_property PACKAGE_PIN AW9  [get_ports {LA02_P}]
set_property PACKAGE_PIN AY9  [get_ports {LA02_N}]
set_property PACKAGE_PIN AP10 [get_ports {LA01_CC_P}]
set_property PACKAGE_PIN AR10 [get_ports {LA01_CC_N}]
set_property PACKAGE_PIN AT11 [get_ports {LA00_CC_P}]
set_property PACKAGE_PIN AT10 [get_ports {LA00_CC_N}]

# HMC7044 1.8V Control 
set_property PACKAGE_PIN F24 [get_ports {HMC_P1V8_CTRL_HMC_SYNC}]
set_property PACKAGE_PIN D27 [get_ports {HMC_P1V8_CTRL_HMC_SLEN}]
set_property PACKAGE_PIN E24 [get_ports {HMC_P1V8_CTRL_HMC_SDATA}]
set_property PACKAGE_PIN D28 [get_ports {HMC_P1V8_CTRL_HMC_SCLK}]
set_property PACKAGE_PIN E26 [get_ports {HMC_P1V8_CTRL_HMC_RESET}]

# Si549 Helper Clock output
set_property PACKAGE_PIN C30 [get_ports {HELPER_CLK_CLK_P}]
set_property PACKAGE_PIN C31 [get_ports {HELPER_CLK_CLK_N}]

# GTY Reference Clocks from HMC7044
set_property PACKAGE_PIN L32  [get_ports {GTY131_CLK0_P}]
set_property PACKAGE_PIN L33  [get_ports {GTY131_CLK0_N}]
set_property PACKAGE_PIN R32  [get_ports {GTY130_CLK0_P}]
set_property PACKAGE_PIN R33  [get_ports {GTY130_CLK0_N}]
set_property PACKAGE_PIN W32  [get_ports {GTY129_CLK0_P}]
set_property PACKAGE_PIN W33  [get_ports {GTY129_CLK0_N}]
set_property PACKAGE_PIN AB34 [get_ports {GTY128_CLK0_P}]
set_property PACKAGE_PIN AB35 [get_ports {GTY128_CLK0_N}]

# GTH TX/RX signals Quad 229
set_property PACKAGE_PIN T8 [get_ports {GTH_229_TXRX_GTH_TX3_P}]
set_property PACKAGE_PIN T7 [get_ports {GTH_229_TXRX_GTH_TX3_N}]
set_property PACKAGE_PIN U6 [get_ports {GTH_229_TXRX_GTH_TX2_P}]
set_property PACKAGE_PIN U5 [get_ports {GTH_229_TXRX_GTH_TX2_N}]
set_property PACKAGE_PIN V8 [get_ports {GTH_229_TXRX_GTH_TX1_P}]
set_property PACKAGE_PIN V7 [get_ports {GTH_229_TXRX_GTH_TX1_N}]
set_property PACKAGE_PIN W6 [get_ports {GTH_229_TXRX_GTH_TX0_P}]
set_property PACKAGE_PIN W5 [get_ports {GTH_229_TXRX_GTH_TX0_N}]
set_property PACKAGE_PIN U2 [get_ports {GTH_229_TXRX_GTH_RX3_P}]
set_property PACKAGE_PIN U1 [get_ports {GTH_229_TXRX_GTH_RX3_N}]
set_property PACKAGE_PIN V4 [get_ports {GTH_229_TXRX_GTH_RX2_P}]
set_property PACKAGE_PIN V3 [get_ports {GTH_229_TXRX_GTH_RX2_N}]
set_property PACKAGE_PIN W2 [get_ports {GTH_229_TXRX_GTH_RX1_P}]
set_property PACKAGE_PIN W1 [get_ports {GTH_229_TXRX_GTH_RX1_N}]
set_property PACKAGE_PIN Y4 [get_ports {GTH_229_TXRX_GTH_RX0_P}]
set_property PACKAGE_PIN Y3 [get_ports {GTH_229_TXRX_GTH_RX0_N}]

# GTH TX/RX signals Quad 228
set_property PACKAGE_PIN Y8  [get_ports {GTH_228_TXRX_GTH_TX3_P}]
set_property PACKAGE_PIN Y7  [get_ports {GTH_228_TXRX_GTH_TX3_N}]
set_property PACKAGE_PIN AA6 [get_ports {GTH_228_TXRX_GTH_TX2_P}]
set_property PACKAGE_PIN AA5 [get_ports {GTH_228_TXRX_GTH_TX2_N}]
set_property PACKAGE_PIN AB8 [get_ports {GTH_228_TXRX_GTH_TX1_P}]
set_property PACKAGE_PIN AB7 [get_ports {GTH_228_TXRX_GTH_TX1_N}]
set_property PACKAGE_PIN AC6 [get_ports {GTH_228_TXRX_GTH_TX0_P}]
set_property PACKAGE_PIN AC5 [get_ports {GTH_228_TXRX_GTH_TX0_N}]
set_property PACKAGE_PIN AA2 [get_ports {GTH_228_TXRX_GTH_RX3_P}]
set_property PACKAGE_PIN AA1 [get_ports {GTH_228_TXRX_GTH_RX3_N}]
set_property PACKAGE_PIN AB4 [get_ports {GTH_228_TXRX_GTH_RX2_P}]
set_property PACKAGE_PIN AB3 [get_ports {GTH_228_TXRX_GTH_RX2_N}]
set_property PACKAGE_PIN AC2 [get_ports {GTH_228_TXRX_GTH_RX1_P}]
set_property PACKAGE_PIN AC1 [get_ports {GTH_228_TXRX_GTH_RX1_N}]
set_property PACKAGE_PIN AD4 [get_ports {GTH_228_TXRX_GTH_RX0_P}]
set_property PACKAGE_PIN AD3 [get_ports {GTH_228_TXRX_GTH_RX0_N}]

# GTH TX/RX signals Quad 227
set_property PACKAGE_PIN AD8 [get_ports {GTH_227_TXRX_GTH_TX3_P}]
set_property PACKAGE_PIN AD7 [get_ports {GTH_227_TXRX_GTH_TX3_N}]
set_property PACKAGE_PIN AE6 [get_ports {GTH_227_TXRX_GTH_TX2_P}]
set_property PACKAGE_PIN AE5 [get_ports {GTH_227_TXRX_GTH_TX2_N}]
set_property PACKAGE_PIN AF8 [get_ports {GTH_227_TXRX_GTH_TX1_P}]
set_property PACKAGE_PIN AF7 [get_ports {GTH_227_TXRX_GTH_TX1_N}]
set_property PACKAGE_PIN AG6 [get_ports {GTH_227_TXRX_GTH_TX0_P}]
set_property PACKAGE_PIN AG5 [get_ports {GTH_227_TXRX_GTH_TX0_N}]
set_property PACKAGE_PIN AE2 [get_ports {GTH_227_TXRX_GTH_RX3_P}]
set_property PACKAGE_PIN AE1 [get_ports {GTH_227_TXRX_GTH_RX3_N}]
set_property PACKAGE_PIN AF4 [get_ports {GTH_227_TXRX_GTH_RX2_P}]
set_property PACKAGE_PIN AF3 [get_ports {GTH_227_TXRX_GTH_RX2_N}]
set_property PACKAGE_PIN AG2 [get_ports {GTH_227_TXRX_GTH_RX1_P}]
set_property PACKAGE_PIN AG1 [get_ports {GTH_227_TXRX_GTH_RX1_N}]
set_property PACKAGE_PIN AH4 [get_ports {GTH_227_TXRX_GTH_RX0_P}]
set_property PACKAGE_PIN AH3 [get_ports {GTH_227_TXRX_GTH_RX0_N}]

# GTH TX/RX signals Quad 226
set_property PACKAGE_PIN AH8 [get_ports {GTH_226_TXRX_GTH_TX3_P}]
set_property PACKAGE_PIN AH7 [get_ports {GTH_226_TXRX_GTH_TX3_N}]
set_property PACKAGE_PIN AJ6 [get_ports {GTH_226_TXRX_GTH_TX2_P}]
set_property PACKAGE_PIN AJ5 [get_ports {GTH_226_TXRX_GTH_TX2_N}]
set_property PACKAGE_PIN AK8 [get_ports {GTH_226_TXRX_GTH_TX1_P}]
set_property PACKAGE_PIN AK7 [get_ports {GTH_226_TXRX_GTH_TX1_N}]
set_property PACKAGE_PIN AL6 [get_ports {GTH_226_TXRX_GTH_TX0_P}]
set_property PACKAGE_PIN AL5 [get_ports {GTH_226_TXRX_GTH_TX0_N}]
set_property PACKAGE_PIN AJ2 [get_ports {GTH_226_TXRX_GTH_RX3_P}]
set_property PACKAGE_PIN AJ1 [get_ports {GTH_226_TXRX_GTH_RX3_N}]
set_property PACKAGE_PIN AK4 [get_ports {GTH_226_TXRX_GTH_RX2_P}]
set_property PACKAGE_PIN AK3 [get_ports {GTH_226_TXRX_GTH_RX2_N}]
set_property PACKAGE_PIN AL2 [get_ports {GTH_226_TXRX_GTH_RX1_P}]
set_property PACKAGE_PIN AL1 [get_ports {GTH_226_TXRX_GTH_RX1_N}]
set_property PACKAGE_PIN AM4 [get_ports {GTH_226_TXRX_GTH_RX0_P}]
set_property PACKAGE_PIN AM3 [get_ports {GTH_226_TXRX_GTH_RX0_N}]

# GTH TX/RX signals Quad 225
set_property PACKAGE_PIN AM8 [get_ports {GTH_225_TXRX_GTH_TX3_P}]
set_property PACKAGE_PIN AM7 [get_ports {GTH_225_TXRX_GTH_TX3_N}]
set_property PACKAGE_PIN AN6 [get_ports {GTH_225_TXRX_GTH_TX2_P}]
set_property PACKAGE_PIN AN5 [get_ports {GTH_225_TXRX_GTH_TX2_N}]
set_property PACKAGE_PIN AP8 [get_ports {GTH_225_TXRX_GTH_TX1_P}]
set_property PACKAGE_PIN AP7 [get_ports {GTH_225_TXRX_GTH_TX1_N}]
set_property PACKAGE_PIN AR6 [get_ports {GTH_225_TXRX_GTH_TX0_P}]
set_property PACKAGE_PIN AR5 [get_ports {GTH_225_TXRX_GTH_TX0_N}]
set_property PACKAGE_PIN AN2 [get_ports {GTH_225_TXRX_GTH_RX3_P}]
set_property PACKAGE_PIN AN1 [get_ports {GTH_225_TXRX_GTH_RX3_N}]
set_property PACKAGE_PIN AP4 [get_ports {GTH_225_TXRX_GTH_RX2_P}]
set_property PACKAGE_PIN AP3 [get_ports {GTH_225_TXRX_GTH_RX2_N}]
set_property PACKAGE_PIN AR2 [get_ports {GTH_225_TXRX_GTH_RX1_P}]
set_property PACKAGE_PIN AR1 [get_ports {GTH_225_TXRX_GTH_RX1_N}]
set_property PACKAGE_PIN AT4 [get_ports {GTH_225_TXRX_GTH_RX0_P}]
set_property PACKAGE_PIN AT3 [get_ports {GTH_225_TXRX_GTH_RX0_N}]

# GTH TX/RX signals Quad 224
set_property PACKAGE_PIN AT8 [get_ports {GTH_224_TXRX_GTH_TX3_P}]
set_property PACKAGE_PIN AT7 [get_ports {GTH_224_TXRX_GTH_TX3_N}]
set_property PACKAGE_PIN AU6 [get_ports {GTH_224_TXRX_GTH_TX2_P}]
set_property PACKAGE_PIN AU5 [get_ports {GTH_224_TXRX_GTH_TX2_N}]
set_property PACKAGE_PIN AW6 [get_ports {GTH_224_TXRX_GTH_TX1_P}]
set_property PACKAGE_PIN AW5 [get_ports {GTH_224_TXRX_GTH_TX1_N}]
set_property PACKAGE_PIN AY4 [get_ports {GTH_224_TXRX_GTH_TX0_P}]
set_property PACKAGE_PIN AY3 [get_ports {GTH_224_TXRX_GTH_TX0_N}]
set_property PACKAGE_PIN AU2 [get_ports {GTH_224_TXRX_GTH_RX3_P}]
set_property PACKAGE_PIN AU1 [get_ports {GTH_224_TXRX_GTH_RX3_N}]
set_property PACKAGE_PIN AV4 [get_ports {GTH_224_TXRX_GTH_RX2_P}]
set_property PACKAGE_PIN AV3 [get_ports {GTH_224_TXRX_GTH_RX2_N}]
set_property PACKAGE_PIN AW2 [get_ports {GTH_224_TXRX_GTH_RX1_P}]
set_property PACKAGE_PIN AW1 [get_ports {GTH_224_TXRX_GTH_RX1_N}]
set_property PACKAGE_PIN BA2 [get_ports {GTH_224_TXRX_GTH_RX0_P}]
set_property PACKAGE_PIN BA1 [get_ports {GTH_224_TXRX_GTH_RX0_N}]

# GTH TX/RX signals Quad 231 - NOT CONNECTED!
set_property PACKAGE_PIN H4 [get_ports {GTH231_TX3_P}]
set_property PACKAGE_PIN H3 [get_ports {GTH231_TX3_N}]
set_property PACKAGE_PIN J6 [get_ports {GTH231_TX2_P}]
set_property PACKAGE_PIN J5 [get_ports {GTH231_TX2_N}]
set_property PACKAGE_PIN K4 [get_ports {GTH231_TX1_P}]
set_property PACKAGE_PIN K3 [get_ports {GTH231_TX1_N}]
set_property PACKAGE_PIN L6 [get_ports {GTH231_TX0_P}]
set_property PACKAGE_PIN L5 [get_ports {GTH231_TX0_N}]
set_property PACKAGE_PIN G2 [get_ports {GTH231_RX3_P}]
set_property PACKAGE_PIN G1 [get_ports {GTH231_RX3_N}]
set_property PACKAGE_PIN J2 [get_ports {GTH231_RX2_P}]
set_property PACKAGE_PIN J1 [get_ports {GTH231_RX2_N}]
set_property PACKAGE_PIN L2 [get_ports {GTH231_RX1_P}]
set_property PACKAGE_PIN L1 [get_ports {GTH231_RX1_N}]
set_property PACKAGE_PIN M4 [get_ports {GTH231_RX0_P}]
set_property PACKAGE_PIN M3 [get_ports {GTH231_RX0_N}]

# GTH Reference Clocks from HMC7044 or expansion connector
set_property PACKAGE_PIN R10  [get_ports {GTH231_CLK1_P}]
set_property PACKAGE_PIN R9   [get_ports {GTH231_CLK1_N}]
set_property PACKAGE_PIN T12  [get_ports {GTH231_CLK0_P}]
set_property PACKAGE_PIN T11  [get_ports {GTH231_CLK0_N}]
set_property PACKAGE_PIN U10  [get_ports {GTH230_CLK1_P}]
set_property PACKAGE_PIN U9   [get_ports {GTH230_CLK1_N}]
set_property PACKAGE_PIN V12  [get_ports {GTH230_CLK0_P}]
set_property PACKAGE_PIN V11  [get_ports {GTH230_CLK0_N}]
set_property PACKAGE_PIN W10  [get_ports {GTH229_CLK1_P}]
set_property PACKAGE_PIN W9   [get_ports {GTH229_CLK1_N}]
set_property PACKAGE_PIN Y12  [get_ports {GTH229_CLK0_P}]
set_property PACKAGE_PIN Y11  [get_ports {GTH229_CLK0_N}]
set_property PACKAGE_PIN AA10 [get_ports {GTH228_CLK1_P}]
set_property PACKAGE_PIN AA9  [get_ports {GTH228_CLK1_N}]
set_property PACKAGE_PIN AB12 [get_ports {GTH228_CLK0_P}]
set_property PACKAGE_PIN AB11 [get_ports {GTH228_CLK0_N}]
set_property PACKAGE_PIN AC10 [get_ports {GTH227_CLK1_P}]
set_property PACKAGE_PIN AC9  [get_ports {GTH227_CLK1_N}]
set_property PACKAGE_PIN AD12 [get_ports {GTH227_CLK0_P}]
set_property PACKAGE_PIN AD11 [get_ports {GTH227_CLK0_N}]
set_property PACKAGE_PIN AE10 [get_ports {GTH226_CLK1_P}]
set_property PACKAGE_PIN AE9  [get_ports {GTH226_CLK1_N}]
set_property PACKAGE_PIN AF12 [get_ports {GTH226_CLK0_P}]
set_property PACKAGE_PIN AF11 [get_ports {GTH226_CLK0_N}]
set_property PACKAGE_PIN AG10 [get_ports {GTH225_CLK1_P}]
set_property PACKAGE_PIN AG9  [get_ports {GTH225_CLK1_N}]
set_property PACKAGE_PIN AH12 [get_ports {GTH225_CLK0_P}]
set_property PACKAGE_PIN AH11 [get_ports {GTH225_CLK0_N}]
set_property PACKAGE_PIN AJ10 [get_ports {GTH224_CLK1_P}]
set_property PACKAGE_PIN AJ9  [get_ports {GTH224_CLK1_N}]
set_property PACKAGE_PIN AK12 [get_ports {GTH224_CLK0_P}]
set_property PACKAGE_PIN AK11 [get_ports {GTH224_CLK0_N}]

# Fan Status
set_property PACKAGE_PIN B35 [get_ports {FAN_PRESENT_FAN2_PRESENT}]
set_property PACKAGE_PIN A34 [get_ports {FAN_PRESENT_FAN1_PRESENT}]

# External GM Clock Input 
set_property PACKAGE_PIN H24 [get_ports {EXT_GM_CLK_CLK_P}]
set_property PACKAGE_PIN G25 [get_ports {EXT_GM_CLK_CLK_N}]

# GTH TX/RX signals Quad 230 - to/from expansion connector
set_property PACKAGE_PIN M8 [get_ports {DP16_DP19_TXRX_GTH_TX3_P}]
set_property PACKAGE_PIN M7 [get_ports {DP16_DP19_TXRX_GTH_TX3_N}]
set_property PACKAGE_PIN N6 [get_ports {DP16_DP19_TXRX_GTH_TX2_P}]
set_property PACKAGE_PIN N5 [get_ports {DP16_DP19_TXRX_GTH_TX2_N}]
set_property PACKAGE_PIN P8 [get_ports {DP16_DP19_TXRX_GTH_TX1_P}]
set_property PACKAGE_PIN P7 [get_ports {DP16_DP19_TXRX_GTH_TX1_N}]
set_property PACKAGE_PIN R6 [get_ports {DP16_DP19_TXRX_GTH_TX0_P}]
set_property PACKAGE_PIN R5 [get_ports {DP16_DP19_TXRX_GTH_TX0_N}]
set_property PACKAGE_PIN N2 [get_ports {DP16_DP19_TXRX_GTH_RX3_P}]
set_property PACKAGE_PIN N1 [get_ports {DP16_DP19_TXRX_GTH_RX3_N}]
set_property PACKAGE_PIN P4 [get_ports {DP16_DP19_TXRX_GTH_RX2_P}]
set_property PACKAGE_PIN P3 [get_ports {DP16_DP19_TXRX_GTH_RX2_N}]
set_property PACKAGE_PIN R2 [get_ports {DP16_DP19_TXRX_GTH_RX1_P}]
set_property PACKAGE_PIN R1 [get_ports {DP16_DP19_TXRX_GTH_RX1_N}]
set_property PACKAGE_PIN T4 [get_ports {DP16_DP19_TXRX_GTH_RX0_P}]
set_property PACKAGE_PIN T3 [get_ports {DP16_DP19_TXRX_GTH_RX0_N}]

# GTY TX/RX/REFCLK Quad 131 - to/from expansion connector
set_property PACKAGE_PIN E36 [get_ports {DP12_DP15_TXRX_GTY_TX3_P}]
set_property PACKAGE_PIN E37 [get_ports {DP12_DP15_TXRX_GTY_TX3_N}]
set_property PACKAGE_PIN F34 [get_ports {DP12_DP15_TXRX_GTY_TX2_P}]
set_property PACKAGE_PIN F35 [get_ports {DP12_DP15_TXRX_GTY_TX2_N}]
set_property PACKAGE_PIN G36 [get_ports {DP12_DP15_TXRX_GTY_TX1_P}]
set_property PACKAGE_PIN G37 [get_ports {DP12_DP15_TXRX_GTY_TX1_N}]
set_property PACKAGE_PIN H34 [get_ports {DP12_DP15_TXRX_GTY_TX0_P}]
set_property PACKAGE_PIN H35 [get_ports {DP12_DP15_TXRX_GTY_TX0_N}]
set_property PACKAGE_PIN D39 [get_ports {DP12_DP15_TXRX_GTY_RX3_P}]
set_property PACKAGE_PIN D40 [get_ports {DP12_DP15_TXRX_GTY_RX3_N}]
set_property PACKAGE_PIN E41 [get_ports {DP12_DP15_TXRX_GTY_RX2_P}]
set_property PACKAGE_PIN E42 [get_ports {DP12_DP15_TXRX_GTY_RX2_N}]
set_property PACKAGE_PIN F39 [get_ports {DP12_DP15_TXRX_GTY_RX1_P}]
set_property PACKAGE_PIN F40 [get_ports {DP12_DP15_TXRX_GTY_RX1_N}]
set_property PACKAGE_PIN G41 [get_ports {DP12_DP15_TXRX_GTY_RX0_P}]
set_property PACKAGE_PIN G42 [get_ports {DP12_DP15_TXRX_GTY_RX0_N}]
set_property PACKAGE_PIN J32 [get_ports {DP12_DP15_TXRX_GTY_CLK_P}]
set_property PACKAGE_PIN J33 [get_ports {DP12_DP15_TXRX_GTY_CLK_N}]

# GTY TX/RX/REFCLK Quad 130 - to/from expansion connector
set_property PACKAGE_PIN J36 [get_ports {DP8_DP11_TXRX_GTY_TX3_P}]
set_property PACKAGE_PIN J37 [get_ports {DP8_DP11_TXRX_GTY_TX3_N}]
set_property PACKAGE_PIN K34 [get_ports {DP8_DP11_TXRX_GTY_TX2_P}]
set_property PACKAGE_PIN K35 [get_ports {DP8_DP11_TXRX_GTY_TX2_N}]
set_property PACKAGE_PIN L36 [get_ports {DP8_DP11_TXRX_GTY_TX1_P}]
set_property PACKAGE_PIN L37 [get_ports {DP8_DP11_TXRX_GTY_TX1_N}]
set_property PACKAGE_PIN M34 [get_ports {DP8_DP11_TXRX_GTY_TX0_P}]
set_property PACKAGE_PIN M35 [get_ports {DP8_DP11_TXRX_GTY_TX0_N}]
set_property PACKAGE_PIN H39 [get_ports {DP8_DP11_TXRX_GTY_RX3_P}]
set_property PACKAGE_PIN H40 [get_ports {DP8_DP11_TXRX_GTY_RX3_N}]
set_property PACKAGE_PIN J41 [get_ports {DP8_DP11_TXRX_GTY_RX2_P}]
set_property PACKAGE_PIN J42 [get_ports {DP8_DP11_TXRX_GTY_RX2_N}]
set_property PACKAGE_PIN K39 [get_ports {DP8_DP11_TXRX_GTY_RX1_P}]
set_property PACKAGE_PIN K40 [get_ports {DP8_DP11_TXRX_GTY_RX1_N}]
set_property PACKAGE_PIN L41 [get_ports {DP8_DP11_TXRX_GTY_RX0_P}]
set_property PACKAGE_PIN L42 [get_ports {DP8_DP11_TXRX_GTY_RX0_N}]
set_property PACKAGE_PIN N32 [get_ports {DP8_DP11_TXRX_GTY_CLK_P}]
set_property PACKAGE_PIN N33 [get_ports {DP8_DP11_TXRX_GTY_CLK_N}]

# GTY TX/RX/REFCLK Quad 129 - to/from expansion connector
set_property PACKAGE_PIN N36 [get_ports {DP4_DP7_TXRX_GTY_TX3_P}]
set_property PACKAGE_PIN N37 [get_ports {DP4_DP7_TXRX_GTY_TX3_N}]
set_property PACKAGE_PIN P34 [get_ports {DP4_DP7_TXRX_GTY_TX2_P}]
set_property PACKAGE_PIN P35 [get_ports {DP4_DP7_TXRX_GTY_TX2_N}]
set_property PACKAGE_PIN R36 [get_ports {DP4_DP7_TXRX_GTY_TX1_P}]
set_property PACKAGE_PIN R37 [get_ports {DP4_DP7_TXRX_GTY_TX1_N}]
set_property PACKAGE_PIN T34 [get_ports {DP4_DP7_TXRX_GTY_TX0_P}]
set_property PACKAGE_PIN T35 [get_ports {DP4_DP7_TXRX_GTY_TX0_N}]
set_property PACKAGE_PIN M39 [get_ports {DP4_DP7_TXRX_GTY_RX3_P}]
set_property PACKAGE_PIN M40 [get_ports {DP4_DP7_TXRX_GTY_RX3_N}]
set_property PACKAGE_PIN N41 [get_ports {DP4_DP7_TXRX_GTY_RX2_P}]
set_property PACKAGE_PIN N42 [get_ports {DP4_DP7_TXRX_GTY_RX2_N}]
set_property PACKAGE_PIN P39 [get_ports {DP4_DP7_TXRX_GTY_RX1_P}]
set_property PACKAGE_PIN P40 [get_ports {DP4_DP7_TXRX_GTY_RX1_N}]
set_property PACKAGE_PIN R41 [get_ports {DP4_DP7_TXRX_GTY_RX0_P}]
set_property PACKAGE_PIN R42 [get_ports {DP4_DP7_TXRX_GTY_RX0_N}]
set_property PACKAGE_PIN U32 [get_ports {DP4_DP7_TXRX_GTY_CLK_P}]
set_property PACKAGE_PIN U33 [get_ports {DP4_DP7_TXRX_GTY_CLK_N}]

# GTY TX/RX/REFCLK Quad 128 - to/from expansion connector
set_property PACKAGE_PIN U36  [get_ports {DP0_DP3_TXRX_GTY_TX3_P}]
set_property PACKAGE_PIN U37  [get_ports {DP0_DP3_TXRX_GTY_TX3_N}]
set_property PACKAGE_PIN V34  [get_ports {DP0_DP3_TXRX_GTY_TX2_P}]
set_property PACKAGE_PIN V35  [get_ports {DP0_DP3_TXRX_GTY_TX2_N}]
set_property PACKAGE_PIN W36  [get_ports {DP0_DP3_TXRX_GTY_TX1_P}]
set_property PACKAGE_PIN W37  [get_ports {DP0_DP3_TXRX_GTY_TX1_N}]
set_property PACKAGE_PIN Y34  [get_ports {DP0_DP3_TXRX_GTY_TX0_P}]
set_property PACKAGE_PIN Y35  [get_ports {DP0_DP3_TXRX_GTY_TX0_N}]
set_property PACKAGE_PIN T39  [get_ports {DP0_DP3_TXRX_GTY_RX3_P}]
set_property PACKAGE_PIN T40  [get_ports {DP0_DP3_TXRX_GTY_RX3_N}]
set_property PACKAGE_PIN U41  [get_ports {DP0_DP3_TXRX_GTY_RX2_P}]
set_property PACKAGE_PIN U42  [get_ports {DP0_DP3_TXRX_GTY_RX2_N}]
set_property PACKAGE_PIN V39  [get_ports {DP0_DP3_TXRX_GTY_RX1_P}]
set_property PACKAGE_PIN V40  [get_ports {DP0_DP3_TXRX_GTY_RX1_N}]
set_property PACKAGE_PIN W41  [get_ports {DP0_DP3_TXRX_GTY_RX0_P}]
set_property PACKAGE_PIN W42  [get_ports {DP0_DP3_TXRX_GTY_RX0_N}]
set_property PACKAGE_PIN AA32 [get_ports {DP0_DP3_TXRX_GTY_CLK_P}]
set_property PACKAGE_PIN AA33 [get_ports {DP0_DP3_TXRX_GTY_CLK_N}]

# FMC Mezzanine-to-Carrier Clocks
set_property PACKAGE_PIN AT13 [get_ports {CLK1_M2C_P}]
set_property PACKAGE_PIN AT12 [get_ports {CLK1_M2C_N}]
set_property PACKAGE_PIN G17  [get_ports {CLK0_M2C_P}]
set_property PACKAGE_PIN F17  [get_ports {CLK0_M2C_N}]

# Auxilliary Clock - from external SMA
set_property PACKAGE_PIN F25 [get_ports {AUX_CLK_IN_CLK_P}]
set_property PACKAGE_PIN E25 [get_ports {AUX_CLK_IN_CLK_N}]

# Auxilliary Clock - from Si459 
set_property PACKAGE_PIN E31 [get_ports {AUX_CLK_CLK_P}]
set_property PACKAGE_PIN D31 [get_ports {AUX_CLK_CLK_N}]

# 10MHz Clock input
set_property PACKAGE_PIN AU14 [get_ports {D10MHz_M_P}]
set_property PACKAGE_PIN AV14 [get_ports {D10MHz_M_N}]

# PPS input
set_property PACKAGE_PIN J13 [get_ports {PPS_IN}]

# GM Power Enable
set_property PACKAGE_PIN J12 [get_ports {GM_PWR_EN}]

# 10MHz Output Clock MUX selector
set_property PACKAGE_PIN K14 [get_ports {CLK_10MHz_OUT_SEL}]

# GTH_CLK1 MUX selector
set_property PACKAGE_PIN J14 [get_ports {GTH_CLK1_SEL}]

# LMX-PLL 3.3V Control
set_property PACKAGE_PIN K11 [get_ports {PLL_GM_RAMPDIR}]
set_property PACKAGE_PIN K10 [get_ports {PLL_GM_RAMPCLK}]
set_property PACKAGE_PIN M10 [get_ports {PLL_GM_MUXOUT}]
set_property PACKAGE_PIN L10 [get_ports {PLL_GM_SYSREFREQ}]

# HMC7044 GPIO
set_property PACKAGE_PIN L14 [get_ports {HMC_GPIO1}]
set_property PACKAGE_PIN L13 [get_ports {HMC_GPIO2}]
set_property PACKAGE_PIN L12 [get_ports {HMC_GPIO3}]
set_property PACKAGE_PIN K12 [get_ports {HMC_GPIO4}]

# PLL Clock MUX selector
set_property PACKAGE_PIN M12 [get_ports {PLL_CLK_SEL}]

# DAC 3.3V Controls
set_property PACKAGE_PIN M11 [get_ports {DAC_SYNC_N}]
set_property PACKAGE_PIN N13 [get_ports {DAC_DIN}]
set_property PACKAGE_PIN M13 [get_ports {DAC_SCLK}]

# PL USB UART TX/RX
set_property PACKAGE_PIN P14 [get_ports {PL_UART_RX}]
set_property PACKAGE_PIN N14 [get_ports {PL_UART_TX}]

# I2C Control for AUX Si549
set_property PACKAGE_PIN R14 [get_ports {SCL_AUX}]
set_property PACKAGE_PIN P13 [get_ports {SDA_AUX}]

# I2C Control for Helper Si549
set_property PACKAGE_PIN P12 [get_ports {SCL_HELPER}]
set_property PACKAGE_PIN N12 [get_ports {SDA_HELPER}]

# Expansion Connector 3.3V Status signals
set_property PACKAGE_PIN N11 [get_ports {PRSNT_M2C_L}]
set_property PACKAGE_PIN N10 [get_ports {PG_M2C}]

# SFP+ 3.3V I2C control
set_property PACKAGE_PIN A10 [get_ports {SFPPLUS_4x2_I2C_2_RB_SFP_SDA}]
set_property PACKAGE_PIN A9  [get_ports {SFPPLUS_4x2_I2C_2_RB_SFP_SCL}]
set_property PACKAGE_PIN B12 [get_ports {SFPPLUS_4x2_I2C_2_RCT_SFP_SDA}]
set_property PACKAGE_PIN B11 [get_ports {SFPPLUS_4x2_I2C_2_RCT_SFP_SCL}]
set_property PACKAGE_PIN C10 [get_ports {SFPPLUS_4x2_I2C_2_RCB_SFP_SDA}]
set_property PACKAGE_PIN B10 [get_ports {SFPPLUS_4x2_I2C_2_RCB_SFP_SCL}]
set_property PACKAGE_PIN D11 [get_ports {SFPPLUS_4x2_I2C_2_RT_SFP_SDA}]
set_property PACKAGE_PIN C11 [get_ports {SFPPLUS_4x2_I2C_2_RT_SFP_SCL}]
set_property PACKAGE_PIN E12 [get_ports {SFPPLUS_4x2_I2C_2_LB_SFP_SDA}]
set_property PACKAGE_PIN D12 [get_ports {SFPPLUS_4x2_I2C_2_LB_SFP_SCL}]
set_property PACKAGE_PIN E11 [get_ports {SFPPLUS_4x2_I2C_2_LT_SFP_SDA}]
set_property PACKAGE_PIN E10 [get_ports {SFPPLUS_4x2_I2C_2_LT_SFP_SCL}]
set_property PACKAGE_PIN F13 [get_ports {SFPPLUS_4x2_I2C_2_LCT_SFP_SDA}]
set_property PACKAGE_PIN F12 [get_ports {SFPPLUS_4x2_I2C_2_LCT_SFP_SCL}]
set_property PACKAGE_PIN G10 [get_ports {SFPPLUS_4x2_I2C_2_LCB_SFP_SDA}]
set_property PACKAGE_PIN F10 [get_ports {SFPPLUS_4x2_I2C_2_LCB_SFP_SCL}]
set_property PACKAGE_PIN D9  [get_ports {SFPPLUS_4x2_I2C_1_RB_SFP_SDA}]
set_property PACKAGE_PIN C9  [get_ports {SFPPLUS_4x2_I2C_1_RB_SFP_SCL}]
set_property PACKAGE_PIN B8  [get_ports {SFPPLUS_4x2_I2C_1_RCT_SFP_SDA}]
set_property PACKAGE_PIN A8  [get_ports {SFPPLUS_4x2_I2C_1_RCT_SFP_SCL}]
set_property PACKAGE_PIN B7  [get_ports {SFPPLUS_4x2_I2C_1_RCB_SFP_SDA}]
set_property PACKAGE_PIN A7  [get_ports {SFPPLUS_4x2_I2C_1_RCB_SFP_SCL}]
set_property PACKAGE_PIN E6  [get_ports {SFPPLUS_4x2_I2C_1_RT_SFP_SDA}]
set_property PACKAGE_PIN D6  [get_ports {SFPPLUS_4x2_I2C_1_RT_SFP_SCL}]
set_property PACKAGE_PIN D8  [get_ports {SFPPLUS_4x2_I2C_1_LB_SFP_SDA}]
set_property PACKAGE_PIN C8  [get_ports {SFPPLUS_4x2_I2C_1_LB_SFP_SCL}]
set_property PACKAGE_PIN E7  [get_ports {SFPPLUS_4x2_I2C_1_LT_SFP_SDA}]
set_property PACKAGE_PIN D7  [get_ports {SFPPLUS_4x2_I2C_1_LT_SFP_SCL}]
set_property PACKAGE_PIN G8  [get_ports {SFPPLUS_4x2_I2C_1_LCT_SFP_SDA}]
set_property PACKAGE_PIN F8  [get_ports {SFPPLUS_4x2_I2C_1_LCT_SFP_SCL}]
set_property PACKAGE_PIN G7  [get_ports {SFPPLUS_4x2_I2C_1_LCB_SFP_SDA}]
set_property PACKAGE_PIN F7  [get_ports {SFPPLUS_4x2_I2C_1_LCB_SFP_SCL}]
set_property PACKAGE_PIN A5  [get_ports {SFPPLUS_4x2_I2C_0_RB_SFP_SDA}]
set_property PACKAGE_PIN A4  [get_ports {SFPPLUS_4x2_I2C_0_RB_SFP_SCL}]
set_property PACKAGE_PIN B6  [get_ports {SFPPLUS_4x2_I2C_0_RCT_SFP_SDA}]
set_property PACKAGE_PIN B5  [get_ports {SFPPLUS_4x2_I2C_0_RCT_SFP_SCL}]
set_property PACKAGE_PIN B3  [get_ports {SFPPLUS_4x2_I2C_0_RCB_SFP_SDA}]
set_property PACKAGE_PIN A3  [get_ports {SFPPLUS_4x2_I2C_0_RCB_SFP_SCL}]
set_property PACKAGE_PIN B2  [get_ports {SFPPLUS_4x2_I2C_0_RT_SFP_SDA}]
set_property PACKAGE_PIN B1  [get_ports {SFPPLUS_4x2_I2C_0_RT_SFP_SCL}]
set_property PACKAGE_PIN C4  [get_ports {SFPPLUS_4x2_I2C_0_LB_SFP_SDA}]
set_property PACKAGE_PIN C3  [get_ports {SFPPLUS_4x2_I2C_0_LB_SFP_SCL}]
set_property PACKAGE_PIN C6  [get_ports {SFPPLUS_4x2_I2C_0_LT_SFP_SDA}]
set_property PACKAGE_PIN C5  [get_ports {SFPPLUS_4x2_I2C_0_LT_SFP_SCL}]
set_property PACKAGE_PIN D2  [get_ports {SFPPLUS_4x2_I2C_0_LCT_SFP_SDA}]
set_property PACKAGE_PIN C1  [get_ports {SFPPLUS_4x2_I2C_0_LCT_SFP_SCL}]
set_property PACKAGE_PIN D4  [get_ports {SFPPLUS_4x2_I2C_0_LCB_SFP_SDA}]
set_property PACKAGE_PIN D3  [get_ports {SFPPLUS_4x2_I2C_0_LCB_SFP_SCL}]

# STF+ 3.3V LOS signals
set_property PACKAGE_PIN H14 [get_ports {SFPPLUS_4x2_LOS_2_LT_SFP_LOS}]
set_property PACKAGE_PIN G13 [get_ports {SFPPLUS_4x2_LOS_2_RCB_SFP_LOS}]
set_property PACKAGE_PIN H13 [get_ports {SFPPLUS_4x2_LOS_2_LB_SFP_LOS}]
set_property PACKAGE_PIN G12 [get_ports {SFPPLUS_4x2_LOS_2_RB_SFP_LOS}]
set_property PACKAGE_PIN H11 [get_ports {SFPPLUS_4x2_LOS_2_LCB_SFP_LOS}]
set_property PACKAGE_PIN G11 [get_ports {SFPPLUS_4x2_LOS_2_LCT_SFP_LOS}]
set_property PACKAGE_PIN J11 [get_ports {SFPPLUS_4x2_LOS_2_RCT_SFP_LOS}]
set_property PACKAGE_PIN H10 [get_ports {SFPPLUS_4x2_LOS_2_RT_SFP_LOS}]
set_property PACKAGE_PIN F9  [get_ports {SFPPLUS_4x2_LOS_1_LT_SFP_LOS}]
set_property PACKAGE_PIN E9  [get_ports {SFPPLUS_4x2_LOS_1_RCB_SFP_LOS}]
set_property PACKAGE_PIN J9  [get_ports {SFPPLUS_4x2_LOS_1_LB_SFP_LOS}]
set_property PACKAGE_PIN H9  [get_ports {SFPPLUS_4x2_LOS_1_RB_SFP_LOS}]
set_property PACKAGE_PIN J8  [get_ports {SFPPLUS_4x2_LOS_1_LCB_SFP_LOS}]
set_property PACKAGE_PIN H8  [get_ports {SFPPLUS_4x2_LOS_1_LCT_SFP_LOS}]
set_property PACKAGE_PIN G6  [get_ports {SFPPLUS_4x2_LOS_1_RCT_SFP_LOS}]
set_property PACKAGE_PIN F6  [get_ports {SFPPLUS_4x2_LOS_1_RT_SFP_LOS}]
set_property PACKAGE_PIN E1  [get_ports {SFPPLUS_4x2_LOS_0_LT_SFP_LOS}]
set_property PACKAGE_PIN D1  [get_ports {SFPPLUS_4x2_LOS_0_RCB_SFP_LOS}]
set_property PACKAGE_PIN E3  [get_ports {SFPPLUS_4x2_LOS_0_LB_SFP_LOS}]
set_property PACKAGE_PIN E2  [get_ports {SFPPLUS_4x2_LOS_0_RB_SFP_LOS}]
set_property PACKAGE_PIN E5  [get_ports {SFPPLUS_4x2_LOS_0_LCB_SFP_LOS}]
set_property PACKAGE_PIN E4  [get_ports {SFPPLUS_4x2_LOS_0_LCT_SFP_LOS}]
set_property PACKAGE_PIN F5  [get_ports {SFPPLUS_4x2_LOS_0_RCT_SFP_LOS}]
set_property PACKAGE_PIN F4  [get_ports {SFPPLUS_4x2_LOS_0_RT_SFP_LOS}]

# Default IOSTANDARD assignments
set_property IOSTANDARD LVCMOS18 [get_ports -of_objects [get_iobanks 64]];
set_property IOSTANDARD LVCMOS18 [get_ports -of_objects [get_iobanks 65]];
set_property IOSTANDARD LVCMOS18 [get_ports -of_objects [get_iobanks 66]];
set_property IOSTANDARD LVCMOS18 [get_ports -of_objects [get_iobanks 67]];
set_property IOSTANDARD LVCMOS18 [get_ports -of_objects [get_iobanks 68]];
set_property IOSTANDARD LVCMOS18 [get_ports -of_objects [get_iobanks 69]];
set_property IOSTANDARD LVCMOS18 [get_ports -of_objects [get_iobanks 70]];
set_property IOSTANDARD LVCMOS18 [get_ports -of_objects [get_iobanks 71]];

set_property IOSTANDARD LVCMOS33 [get_ports -of_objects [get_iobanks 90]];
set_property IOSTANDARD LVCMOS33 [get_ports -of_objects [get_iobanks 91]];
set_property IOSTANDARD LVCMOS33 [get_ports -of_objects [get_iobanks 93]];
set_property IOSTANDARD LVCMOS33 [get_ports -of_objects [get_iobanks 94]];

# Override IOSTANDARD for differential input clocks

set_property IOSTANDARD LVDS [get_ports {PLL_OSCOUT1_CLK_N}]
set_property IOSTANDARD LVDS [get_ports {PLL_OSCOUT1_CLK_P}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {PLL_OSCOUT1_CLK_N}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {PLL_OSCOUT1_CLK_P}]

set_property IOSTANDARD LVDS [get_ports {REF_CLK_N}]
set_property IOSTANDARD LVDS [get_ports {REF_CLK_P}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {REF_CLK_N}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {REF_CLK_P}]

set_property IOSTANDARD LVDS [get_ports {WR_CLK_N}]
set_property IOSTANDARD LVDS [get_ports {WR_CLK_P}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {WR_CLK_N}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {WR_CLK_P}]

set_property IOSTANDARD LVDS [get_ports {LMX_GM_CLK_CLK_P}]
set_property IOSTANDARD LVDS [get_ports {LMX_GM_CLK_CLK_N}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {LMX_GM_CLK_CLK_P}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {LMX_GM_CLK_CLK_N}]

set_property IOSTANDARD LVDS [get_ports {HELPER_CLK_CLK_P}]
set_property IOSTANDARD LVDS [get_ports {HELPER_CLK_CLK_N}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {HELPER_CLK_CLK_P}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {HELPER_CLK_CLK_N}]

set_property IOSTANDARD LVDS [get_ports {EXT_GM_CLK_CLK_P}]
set_property IOSTANDARD LVDS [get_ports {EXT_GM_CLK_CLK_N}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {EXT_GM_CLK_CLK_P}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {EXT_GM_CLK_CLK_N}]

set_property IOSTANDARD LVDS [get_ports {AUX_CLK_IN_CLK_P}]
set_property IOSTANDARD LVDS [get_ports {AUX_CLK_IN_CLK_N}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {AUX_CLK_IN_CLK_P}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {AUX_CLK_IN_CLK_N}]

set_property IOSTANDARD LVDS [get_ports {AUX_CLK_CLK_P}]
set_property IOSTANDARD LVDS [get_ports {AUX_CLK_CLK_N}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {AUX_CLK_CLK_P}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {AUX_CLK_CLK_N}]

set_property IOSTANDARD LVDS [get_ports {D10MHz_M_P}]
set_property IOSTANDARD LVDS [get_ports {D10MHz_M_N}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {D10MHz_M_P}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {D10MHz_M_N}]

